Bug 506371 - concordance / congruity only work as root
Summary: concordance / congruity only work as root
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libconcord
Version: rawhide
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Douglas E. Warner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-06-16 22:28 UTC by Adam Williamson
Modified: 2010-03-02 22:49 UTC (History)
2 users (show)

Fixed In Version: 0.21-2.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-06-17 16:25:56 UTC
Type: ---


Attachments (Terms of Use)

Description Adam Williamson 2009-06-16 22:28:09 UTC
Description of problem: libconcord-based apps (concordance, congruity) can only connect to my Harmony 880 as root


Version-Release number of selected component (if applicable): libconcord-0.21-1.fc11.x86_64


How reproducible: 100%


Steps to Reproduce:
1. Plug in remote
2. Run 'concordance -i' as normal user
3.
  
Actual results: "ERROR: Couldn't initializing libconcord: Error connecting or finding the remote"


Expected results: Information on my remote


Additional info: Works fine as root. This isn't really good enough, however, as to really do things smoothly you want to set up Firefox to use congruity to handle the appropriate file types and then just navigate the web interface from Firefox, but if congruity only works as root, you have to use a root Firefox for this. Eeek.

Comment 1 Adam Williamson 2009-06-16 22:28:47 UTC
Oh, forgot to note - I have rebooted since installing congruity. The udev rules in the package are kicking in, because the symlink exists. I think perhaps something may be missing from them.

Comment 2 Fedora Update System 2009-06-17 13:56:45 UTC
libconcord-0.21-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/libconcord-0.21-2.fc10

Comment 3 Fedora Update System 2009-06-17 13:56:49 UTC
libconcord-0.21-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libconcord-0.21-2.fc11

Comment 4 Adam Williamson 2009-06-17 16:16:45 UTC
Thanks for the quick response! I'll test this when it comes through to my Rawhide.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 5 Adam Williamson 2009-06-17 16:25:56 UTC
actually, I just got off my ass and installed it via koji. Job's a good 'un. Works nicely. I'll close this (you don't really need to use RELEASE_PENDING for Fedora, you can go straight to CLOSED RAWHIDE as long as it's on its way). Thanks!

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 6 Fedora Update System 2009-07-11 17:21:34 UTC
libconcord-0.21-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2009-07-11 17:32:04 UTC
libconcord-0.21-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 roland 2010-03-02 22:01:20 UTC
Seems this issue has been sneaking into Fedora 12 now (or maybe was never fixed for F12?).

I just tried concordance and getting the described issue - it's working as root but not as normal user.

Comment 9 Adam Williamson 2010-03-02 22:49:02 UTC
I already filed it as a new bug.

https://bugzilla.redhat.com/show_bug.cgi?id=559412


Note You need to log in before you can comment on or make changes to this bug.